/* === Overlay escuro === */
.menu-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 900;
    opacity: 0;
    transition: opacity 0.3s ease;
}

.menu-overlay.active {
    display: block;
    opacity: 1;
}

/* === Botão Hamburguer === */
.menu-toggle {
    display: none;
    flex-direction: column;
    justify-content: space-between;
    width: 32px;
    height: 24px;
    background: none;
    border: none;
    cursor: pointer;
    z-index: 1001;
}

.menu-toggle .bar {
    height: 4px;
    width: 100%;
    background-color: var(--cor-p1);
    border-radius: 2px;
    transition: all 0.3s ease-in-out;
}

.menu-toggle.active .bar:nth-child(1) {
    transform: rotate(45deg) translateY(9px);
}

.menu-toggle.active .bar:nth-child(2) {
    opacity: 0;
}

.menu-toggle.active .bar:nth-child(3) {
    transform: rotate(-45deg) translateY(-9px);
}

/* === Menu Mobile === */
.nav_mobile {
    display: none;
    background: var(--cor-2);
    width: 100%;
    padding: 20px 20px;
    grid-column: 1 / -1;
    grid-row: 2;
    box-shadow: 4px 0 10px rgba(0, 0, 0, 0.2);
    transition: transform 0.3s ease;
}

.nav_mobile.active {
    display: block;
    transform: translateX(0%);
}

.nav_mobile .menu_sup {
    display: flex;
    flex-direction: column;
    gap: 24px;
}

/* === GRID geral === */
.menu_header {
    display: grid;
    grid-template-columns: auto 1fr auto;
    align-items: center;
    position: relative;
}

@media (max-width: 500px) {
    .nav_desktop {
        display: none;
    }

    .menu-toggle {
        display: flex;
        grid-column: 2;
    }
}